Subject: BETA 18 with compile error under SCO r5

From: "Olaf Stroner" <[email-masked]>
Date: Tue, 7 Jul 1998 08:58:50 +0200

2.4.2 Beta 18 - compiled under SCO OpenServer5.0.4

I get the follows error message...

Making ftpd.
 cc -O -I.. -I../support -L../support -c ftpd.c
"ftpd.c", line 1494: error: undefined struct/union member: fg_oldcrypt
"ftpd.c", line 1494: error: undefined struct/union member: fd_oldcrypt
"ftpd.c", line 1495: warning: improper member use: fd_oldcrypt
"ftpd.c", line 1495: error: undefined symbol: AUTH_CRYPT__MAX
"ftpd.c", line 1496: warning: improper member use: fd_oldcrypt
"ftpd.c", line 1498: error: undefined symbol: AUTH_CRYPT_OLDCRYPT
"ftpd.c", line 1500: warning: improper pointer/integer combination: op "="
*** Error code 1 (bu21)

Can anybody help me ?

Best regards

Olaf

---

From: Ian Willis <[email-masked]>
Date: Tue, 7 Jul 98 12:19:04 BST

Beta 17 worked on SCO OpenServer 5, in Beta 18 code was added inside
#ifdef SecureWare which is not appropriate on OSR5. A simple fix is
to make the following change to ftpd.c:

1492c1492
< #ifdef SecureWare
---
> #if defined(SecureWare) && !defined(_SCO_DS)

I suspect the changes inside #ifdef SecureWare are only appropriate
to a particular system (SECUREOSF ?), the real fix would be replacing
the #ifdef SecureWare with #ifdef SECUREOSF (or the appropriate define).

Also note that when compiling on SCO OpenServer 5, making the changes
described at the start of src/makefiles/Makefile.sco to produce ELF
binaries significantly reduces their size.

Ian Willis
SCO Internet Engineering Group, Watford, UK

| Olaf Stroner ([email-masked])
| Tue, 7 Jul 1998 08:58:50 +0200
| 
| 2.4.2 Beta 18 - compiled under SCO OpenServer5.0.4
| 
| I get the follows error message...
| 
| Making ftpd.
|  cc -O -I.. -I../support -L../support -c ftpd.c
| "ftpd.c", line 1494: error: undefined struct/union member: fg_oldcrypt
| "ftpd.c", line 1494: error: undefined struct/union member: fd_oldcrypt
| "ftpd.c", line 1495: warning: improper member use: fd_oldcrypt
| "ftpd.c", line 1495: error: undefined symbol: AUTH_CRYPT__MAX
| "ftpd.c", line 1496: warning: improper member use: fd_oldcrypt
| "ftpd.c", line 1498: error: undefined symbol: AUTH_CRYPT_OLDCRYPT
| "ftpd.c", line 1500: warning: improper pointer/integer combination: op "="
| *** Error code 1 (bu21)
| 
| Can anybody help me ?
| 
| Best regards
| 
| Olaf

---

From: [email-masked] (Stan Barber)
Date: Tue, 7 Jul 1998 09:08:28 CDT

Hmm. It compiled on the SCO system I have. Could you explain why it compiled
for me?

-- 
Stan   | PGP Key ID: 55CB6421              | Opinions expressed are only mine.
Olan   | Phone: +1-713-793-0222            | Email: [email-masked]
Barber | Fax:   +1-713-793-0221            | http://www.academ.com/~sob

---

From: [email-masked] (Stan Barber)
Date: Tue, 7 Jul 1998 09:45:37 CDT

My mistake. I did the test compile of beta-18 earlier in my regression testing
than I thought. I will note this bug on the bug page. I have reproduced it.